<script>
	import InventorySelector from "@/components/header/InventorySelector.svelte"
	import Heading from "@/components/heading.svelte"

	import { isLight } from "@/stores/static"
	import { t, l, locale } from "@/i18n"

	export let data

	$: pages = [
		{ text: $t("default.nav.main"), link: $l("") },
		{ text: $t("default.nav.inventory"), link: $l("cars") },
		{ text: $t("default.nav.price"), link: $l("price") },
		{ text: $t("default.nav.services"), link: $l("services") },
		{ text: $t("default.nav.blog"), link: $l("blog") },
		{ text: $t("default.nav.faq"), link: $l("frequently-asked-questions") }
	]


</script>

<svelte:head>
	<link rel=”canonical” href=”https://dcr.ae{$l(`sitemap`)}”>
</svelte:head>

<div class="sitemap" class:dark={!$isLight}>
	<Heading noStripes={true}>{$t("heading.pages")}</Heading>
	<div class="pages is-flex is-align-items-center is-justify-content-flex-start">
		{#each pages as page}
			<a href={page.link}>{page.text}</a>
		{/each}
	</div>
	<Heading noStripes={true}>{$t("default.nav.blog")}</Heading>
	<div class="blog is-flex is-flex-wrap-wrap is-align-items-flex-start is-justify-content-flex-start">
		{#each data.posts as post}
			<a href="/blog{$l(post.url)}">{post.name[$locale]}</a>
		{/each}
	</div>
	<InventorySelector style!='{$isLight ? "dark" : ""}' />
	<Heading noStripes={true}>{$t("heading.cars")}</Heading>
	<div class="cars is-flex is-flex-wrap-wrap is-flex-direction-column is-align-items-flex-start is-justify-content-flex-start">
		{#each data.cars as car}
			<a href={$l(`cars/${car.url}`)}>{car.name}</a>
		{/each}
	</div>
</div>

<style lang="scss">
	.sitemap {
		padding-bottom: 7.5rem;
		:global(> .heading:first-of-type) {
			margin-top: 1.5rem;
		}
		:global(.heading) {
			margin: 2rem 0 1.5rem;
		}
		@include max_tablet {
			:global(.heading p) {
				font-size: 1.5rem!important;
			}
		}
	}
	.pages {
		margin: 0 -1rem;
		a {
			font-size: .875rem;
			font-weight: 300;
			margin: 0 1rem;
		}
		@include max_tablet {
			flex-wrap: wrap;
			margin: -.5rem 0;
			a {
				width: 50%;
				margin: .5rem 0;
			}
		}
	}

	.blog {
		margin: 0 -1rem -.5rem;
		a {
			font-size: .875rem;
			font-weight: 300;
			width: calc(33.333% - 2rem);
			margin: 0 1rem .5rem;
			@include max_tablet {
				width: calc(50% - 2rem);
			}
		}
	}

	.cars {
		max-height: calc(2rem * 24);
		margin-right: -.5rem;
		margin-bottom: -.5rem;
		a {
			font-size: .875rem;
			font-weight: 300;
			margin-bottom: .5rem;
			margin-right: .5rem;
		}

		@include max_tablet {
			max-height: unset;
		}
	}
</style>